<?php
/*
 * Display Carousel
 */
?>
<?php
$args = array(
    'post_type'			=>	'carousel_frame',
    'orderby'			=>	'menu_order',
    'order'				=>	'ASC',
    'posts_per_page'	=>	-1
); 
$size = 'bootstrap-full-cropped';
// will set this up in the future
$show_caption = (bool) get_option( 'webpm_carousel_caption', 1 );
$control_class = $show_caption ? ' showing-caption' : ' hiding-caption';
?>
<?php $my_query = new WP_Query( $args ); ?>
<?php if($my_query->have_posts()) : ?>
    <div id="myCarousel" class="carousel slide large-display">
        <?php $index = 0; ?>
        <?php if (false) : ?>
            <ol class="carousel-indicators">
                <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                    <?php $class = ($index == 0 ? ' active' : ''); ?>
                        <li data-target="#myCarousel" class="<?php echo $class; ?>"></li>
                    <?php $index++; ?>
                <?php endwhile; ?>
            </ol> 
        <?php endif; ?>

        <?php rewind_posts(); ?>

        <div class="carousel-inner">
            <?php $index = 0; ?>
            <?php while ($my_query->have_posts()) : $my_query->the_post(); ?>
                <?php $class = ($index == 0 ? ' active' : ''); ?>
                <div class="item<?php echo $class; ?>">
                    <?php $post_thumbnail_id = get_post_thumbnail_id( $post->ID ); ?>
                    <?php if ($post_thumbnail_id) : ?>
                        <?php $image_attributes = wp_get_attachment_image_src( $post_thumbnail_id, $size ); ?>
                        <img src="<?php echo $image_attributes[0]; ?>" alt="<? the_title(); ?>" />
                    <?php endif; ?>
                    <?php if ( $show_caption ) : ?>
                        <div class="carousel-caption">
                            <h4><?php the_title(); ?></h4>
                            <?php the_content(); ?>
                        </div>
                    <?php endif; ?>
                </div>
                <?php $index++; ?>
            <?php endwhile; ?>
        </div>
        <?php if ( get_option('webpm_carousel_controls', 1) ) : ?>
            <a class="left carousel-control<?php echo $control_class; ?>" href="#myCarousel" data-slide="prev"><img src="<?php echo THEME_URI . '/img/template/left-arrow.png'; ?>" /></a>
            <a class="right carousel-control<?php echo $control_class; ?>" href="#myCarousel" data-slide="next"><img src="<?php echo THEME_URI . '/img/template/right-arrow.png'; ?>" /></a>
        <?php endif; ?>
    </div>
<?php endif; ?>
<?php wp_reset_postdata(); ?>
