<?php
/******************************************************************
Author: Chris Baldelomar
URL: http://webplantmedia.com

All shortcode functions should be placed here
******************************************************************/

/**
 * bootstrap_shortcode_portfolio 
 * 
 * @param mixed $attr 
 * @access public
 * @return void
 */
function bootstrap_shortcode_portfolio($attr) {
	global $post;

	extract(shortcode_atts(array(
		'post_type'      => 'portfolio',
	), $attr));
	$post_type = trim( $post_type );
	if ( !post_type_exists( $post_type ) )
		return '';

	$id = "archive-".$post_type;
	$html  = '<div id="'.$id.'"></div>';
	$html .= '<div class="webpm-loading" style="display:none">';
		$html .= '<div class="loading-wrap">';
			$html .= '<i class="icon-spinner icon-spin"></i>';
		$html .= '</div>';
	$html .= '</div>';

	return $html;
}

/**
 * bootstrap_shortcode_profiles 
 * 
 * @param mixed $attr 
 * @access public
 * @return void
 */
function bootstrap_shortcode_profiles($attr) {
	global $post;
	$html = '';

	$args = array(
		'post_type'        =>	'profile',
		'orderby'          =>	'menu_order',
		'order'            =>	'DESC',
		'posts_per_page'   =>	-1	
	); 
	$my_query = new WP_Query( $args );
	if ($my_query->have_posts()) {
		while ($my_query->have_posts()) {
			$my_query->the_post();
			$html .= '<h3>'.get_the_title().'</h3>';
			$html .= '<div class="row-fluid margin-bottom profiles">';
			$permalink = get_permalink($post->ID);
			$post_thumbnail_id = get_post_thumbnail_id( $post->ID );
				$html .= '<div class="span2">';
					$html .= '<div class="image-wrap thumbnail">';

			if ($post_thumbnail_id)
						$html .= wp_get_attachment_image($post_thumbnail_id, 'bootstrap-medium-cropped', false, array('class'=>'profile-image') );

					$html .= '</div>';
				$html .= '</div>';
				$html .= '<div class="span10">';
					if ( $position = get_post_meta( $post->ID, '_cmb_position', true ) )
						$html .= '<h4>'.$position.'</h4>';

					$html .= apply_filters('the_content', get_the_content());
					$html .= '<div class="row-fluid">';
						$html .= '<div class="span9 contact-icons">';
						if ( $email = get_post_meta( $post->ID, '_cmb_email_address', true ) )
							$html .= '<i class="icon-envelope"></i> <a target="_blank" href="mailto:'.esc_attr(sanitize_email($email)).'">'.$email.'</a>';
						if ( $number = get_post_meta( $post->ID, '_cmb_phone_number', true ) )
							$html .= '<i class="icon-phone"></i> <span>'.$number.'</span>';
						if ( $number = get_post_meta( $post->ID, '_cmb_mobile_number', true ) )
							$html .= '<i class="icon-mobile-phone"></i> <span>'.$number.'</span>';
						$html .= '</div>';
						$html .= '<div class="span3 social-icons">';
						if ( $url = get_post_meta( $post->ID, '_cmb_facebook_url', true ) )
							$html .= '<a target="_blank" href="'.esc_url($url).'"><i class="icon-facebook"></i></a>';
						if ( $url = get_post_meta( $post->ID, '_cmb_twitter_url', true ) )
							$html .= '<a target="_blank" href="'.esc_url($url).'"><i class="icon-twitter"></i></a>';
						if ( $url = get_post_meta( $post->ID, '_cmb_pinterest_url', true ) )
							$html .= '<a target="_blank" href="'.esc_url($url).'"><i class="icon-pinterest"></i></a>';
						if ( $url = get_post_meta( $post->ID, '_cmb_linkedin_url', true ) )
							$html .= '<a target="_blank" href="'.esc_url($url).'"><i class="icon-linkedin"></i></a>';
						if ( $url = get_post_meta( $post->ID, '_cmb_google_url', true ) )
							$html .= '<a target="_blank" href="'.esc_url($url).'"><i class="icon-google-plus"></i></a>';
						$html .= '</div>';
					$html .= '</div>';
				$html .= '</div>';
			$html .= '</div>';
		}
	}
	wp_reset_postdata();

	$html = bootstrap_shortcode_accordion( array('tag'=>'h3'), $html );

	return do_shortcode($html);
}

/**
 * bootstrap_post_gallery 
 * 
 * @param mixed $blank 
 * @param mixed $attr 
 * @access public
 * @return void
 */
function bootstrap_post_gallery($blank, $attr) {
	global $post;

	static $instance = 0;
	$instance++;

	extract(shortcode_atts(array(
		'order'      => 'ASC',
		'orderby'    => 'menu_order ID',
		'id'         => $post->ID,
		'itemtag'    => 'ul',
		'icontag'    => 'li',
		'captiontag' => 'div',
		'columns'    => 3,
		'size'       => 'medium',
		'include'    => '',
		'exclude'    => '',
		'layout'     => '',
        'custom_links'=> 'false',
        'show_captions'=>'false'
	), $attr));

	$id = intval($id);
    $custom_links = $custom_links == 'true' ? true : false;
    $show_captions = $show_captions == 'true' ? true : false;

	if ( 'RAND' == $order )
		$orderby = 'none';

	if ( !empty($include) ) {
		$include = preg_replace( '/[^0-9,]+/', '', $include );
		$_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

		$attachments = array();
		foreach ( $_attachments as $key => $val ) {
			$attachments[$val->ID] = $_attachments[$key];
		}
	} elseif ( !empty($exclude) ) {
		$exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
		$attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	} else {
		$attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
	}

	if ( empty($attachments) )
		return '';

	$count = sizeof( $attachments );
	if ( is_feed() ) {
		$output = "\n";
		foreach ( $attachments as $att_id => $attachment )
			$output .= wp_get_attachment_link($att_id, $size, true) . "\n";
		return $output;
	}

	$columns = intval($columns);
	$itemwidth = $columns > 0 ? floor(100/$columns) : 100;
	$float = is_rtl() ? 'right' : 'left';

	$selector = "gallery-{$id}-{$instance}";
    //default to file because of bug with wordpress editor not setting
    //media as target.
    $attr['link'] = isset($attr['link']) ? $attr['link'] : 'file';
	$link = $attr['link'] == 'file' ? $attr['link'] : 'attachment';

	if ($layout == 'carousel') {
        $size = 'large';
		$image_size = 'bootstrap-'.$size;
		$output  = '<div id="'.$selector.'" class="carousel slide from-gallery">';
        //$output .=      '<ol class="carousel-indicators">';
		//$output .=			bootstrap_display_gallery_indicators($attachments, $selector);
        //$output .=      '</ol>';
		$output .=		'<div class="carousel-inner">';
		$output .=			bootstrap_display_gallery_carousel($attachments, $id, $size, $image_size, $link, $show_captions);
		$output .=		'</div>';
	if ( $count > 1 ) {
		$output .=		'<a class="carousel-control left hiding-caption" href="#'.$selector.'" data-slide="prev"><img src="'.THEME_URI . '/img/template/left-arrow.png" /></a>';
		$output .=		'<a class="carousel-control right hiding-caption" href="#'.$selector.'" data-slide="next"><img src="'.THEME_URI . '/img/template/right-arrow.png" /></a>';
	}
		$output .= '</div>';
	}
	else {
		if ($columns <= 2) $image_size = 'bootstrap-large';
		else $image_size = 'bootstrap-'.$size;

        if ($layout == 'grid')
            $image_size .= '-cropped';
        else
            $image_size .= '-x';

		$size_class = sanitize_html_class( $image_size );
		$link_class = 'link-'.$link;

		$output  = "<div id='$selector' class='row-fluid clearfix gallery {$link_class} galleryid-{$id} gallery-columns-{$columns} gallery-size-{$size_class}'>";
		$output .=	bootstrap_display_gallery_stacked($attachments, $columns, $id, $image_size, $link, $custom_links, $show_captions);
		$output .= "</div>\n";
	}

	return $output;
}

/**
 * bootstrap_display_gallery_indicators 
 * 
 * @param mixed $attachments 
 * @param mixed $id 
 * @param mixed $size 
 * @param mixed $image_size 
 * @access public
 * @return void
 */
function bootstrap_display_gallery_indicators($attachments, $selector) {
	$i = 0;
	$html = '';

	foreach ( $attachments as $id => $attachment ) {
		$classes = $i == 0 ? 'active' : '';

        $html .= '<li data-target="#'.$selector.'" class="'.$classes.'"></li>';

		$i++;
	}
	return $html;
}
/**
 * bootstrap_display_gallery_carousel 
 * 
 * @param mixed $attachments 
 * @param mixed $id 
 * @param mixed $size 
 * @param mixed $image_size 
 * @param mixed $link 
 * @param bool $show_captions 
 * @access public
 * @return void
 */
function bootstrap_display_gallery_carousel($attachments, $id, $size, $image_size, $link, $show_captions) {
	$i = 0;
	$html = '';
	$allowed_html = array(
		'a' => array(
			'href' => array(),
			'title' => array()
		),
		'br' => array(),
		'b' => array(),
		'em' => array(),
		'strong' => array()
	);

	foreach ( $attachments as $id => $attachment ) {
		$classes = $i == 0 ? ' active' : '';

		$title = wp_kses( trim( $attachment->post_title ), array() );
		$caption = wp_kses( trim( $attachment->post_excerpt ), $allowed_html );

		$html .= '<div class="item'.$classes.'">';

        // code is from function wp_get_attachment_image()
        $panel = '';
        $attr = '';
        $image = wp_get_attachment_image_src($id, $image_size, false);
        if ( $image ) {
            list($src, $width, $height) = $image;
            //$hwstring = image_hwstring($width, $height);
            if ( is_array($size) )
                $size = join('x', $size);
            $attachment = get_post($id);
            $default_attr = array(
                'src'	=> $src,
                'class'	=> "attachment-$size",
                'alt'	=> trim(strip_tags( get_post_meta($id, '_wp_attachment_image_alt', true) )), // Use Alt field first
            );
            if ( empty($default_attr['alt']) )
                $default_attr['alt'] = trim(strip_tags( $attachment->post_excerpt )); // If not, Use the Caption
            if ( empty($default_attr['alt']) )
                $default_attr['alt'] = trim(strip_tags( $attachment->post_title )); // Finally, use the title

            $attr = wp_parse_args($attr, $default_attr);
            $attr = apply_filters( 'wp_get_attachment_image_attributes', $attr, $attachment );
            $attr = array_map( 'esc_attr', $attr );
            //$panel = rtrim("<img $hwstring");
            $panel = "<img ";
            foreach ( $attr as $name => $value ) {
                $panel .= " $name=" . '"' . $value . '"';
            }
            $panel .= ' />';
            
            $html .= $panel;
        }

        if ( $show_captions ) {
            if ($size != 'thumbnail') {
                if (!empty($title) || !empty($caption)) {
                    $html .= '	<div class="carousel-caption" style="max-width:'.$width.'px;">';
                    if (!empty($title))
                        $html .= '<h4>'.$title.'</h4>';
                    if (!empty($caption))
                        $html .= '<p>'.$caption.'</p>';
                    $html .= '	</div>';
                }
            }
        }
		$html .= '</div>';

		$i++;
	}
	return $html;
}

/**
 * bootstrap_display_gallery_stacked 
 * 
 * @param mixed $attachments 
 * @param mixed $columns 
 * @param mixed $id 
 * @param mixed $image_size 
 * @param mixed $link 
 * @param bool  $custom_links 
 * @param bool  $show_captions 
 * @access public
 * @return void
 */
function bootstrap_display_gallery_stacked($attachments, $columns, $id, $image_size, $link, $custom_links, $show_captions) {
	$allowed_html = array(
		'a' => array(
			'href' => array(),
			'title' => array()
		),
		'br' => array(),
		'b' => array(),
		'em' => array(),
		'strong' => array()
	);

	$output = '';
    $show_caption_class = $show_captions ? '' : ' hide';
	$i = 0;
	for ($c = 0; $c < $columns; $c++) {
		$stack[$c] = '<div class="gallery-stack">';
	}
	foreach ( $attachments as $id => $attachment ) {

		$link_text = wp_get_attachment_image( $id, $image_size );
        if ( $custom_links )
            $url = get_post_meta( $id, '_webpm_custom_image_link', true );
        else
            $url = 'file' == $link ? wp_get_attachment_url( $id ) : get_attachment_link( $id );

		$post_title = esc_attr( $attachment->post_title );
		$image = '<a rel="attachment" class="thumbnail" href="'.$url.'" title="'.$post_title.'">'.$link_text.'</a>';
        $caption_content = wp_kses( trim( $attachment->post_excerpt ), $allowed_html );
 
        $caption = '';
        if ( !empty( $caption_content ) )
            $caption = '<div class="wp-caption-text'.$show_caption_class.'">'.$caption_content.'</div>';
 
		$image = '<div class="gallery-item">'.$image.$caption.'</div>';

		$c = $i % $columns;
		$stack[$c] .= $image;
		$i++;
	}
	foreach ($stack as $key => $value) {
		$output .= $value . "</div>";
	}

	return $output;
}

/**
 * bootstrap_shortcode_table 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_table( $atts, $content = null ) {
	static $instance = 0;
	$instance++;

    $content = trim($content);
	$thead = $tbody = '';

	if (empty($content))
		return '';

	extract(shortcode_atts(array(
		'class'		=> 'table table-bordered table-striped table-hover',
		'caption'	=> '',
		'header'	=> 1
	), $atts));

	$class = trim($class);
	$caption = trim($caption);
	$header = (int) $header;

	$pieces = explode("\n", $content);
	foreach ($pieces as $key => $piece) {
		$piece = trim($piece);
		if (empty($piece))
			continue;

		if ($header) {
			$tr = explode("::", $piece);
			$thead .= "<thead>";
			$thead .= "<tr>";
			foreach ($tr as $td) {
				$td = trim($td);
				$thead .= "<th>" . $td . "</th>";
			}
			$thead .= "</tr>";
			$thead .= "</thead>";
			$header = false;

			continue;
		}

		$tr = explode("::", $piece);
		$tbody .= "<tr>";
		foreach ($tr as $td) {
			$td = trim($td);
			$tbody .= "<td>" . $td . "</td>";
		}

		$tbody .= "</tr>";

	}
	$html = '<table id="tabledata-'.$instance.'" class="'.$class.'">';
	if (!empty($caption))
		$html .= '<caption>'.$caption.'</caption>';

	$html .= $thead.'<tbody>'.$tbody.'</tbody>';
	$html .= '</table>';

	return do_shortcode($html);
}

/**
 * bootstrap_shortcode_displaycode 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_displaycode( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'lang'	=>	'',
	), $atts));

    if ( $lang == 'shortcode' )
        $content = '['.$content.']';

	return '<code>'.$content.'</code>';
}

/**
 * bootstrap_shortcode_displaypre 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_displaypre( $atts, $content = null ) {
	global $post;
	$html = '';
	static $instance = 0;
	$instance++;

	if ( $content != null )
		return $content;

	extract(shortcode_atts(array(
		'name'			=>	'',
		'scrollable'	=>	1,
		'linenums'		=>	0
	), $atts));

	$name = trim( $name );
	$class = 'prettyprint';
	if ((int) $scrollable)
		$class .= ' pre-scrollable';
	if ((int) $linenums)
		$class .= ' linenums';

	$name = preg_replace( '/^_/', '', $name );

	if ( empty( $name ) )
		return null;

	if ( $code = get_post_meta($post->ID, $name, true ) ) {
		//$code = preg_replace( '/[ ]{4,}|[\t]/', '  ', $code );
		$html .= '<pre id="prettycode-'.$instance.'" class="'.$class.'">';
		$html .= htmlspecialchars( $code );
		$html .= '</pre>';
	}

	return $html;
}

/**
 * bootstrap_shortcode_displayhtml 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_displayhtml( $atts, $content = null ) {
	global $post;
	$html = '';

	if ( $content != null )
		return $content;

	extract(shortcode_atts(array(
		'name'			=>	''
	), $atts));

	$name = trim( $name );
	$name = preg_replace( '/^_/', '', $name );

	if ( empty( $name ) )
		return null;

	if ( $snippet = get_post_meta($post->ID, $name, true ) ) {
        $html = $snippet;
	}

	return $html;
}

/**
 * bootstrap_shortcode_row 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_row( $atts, $content = null ) {
	if ( $content == null )
		return $content;

	extract(shortcode_atts(array(
		'style'      => 'fluid' 
	), $atts));
	$style = trim( $style );
	$style = $style == 'fluid' ? '-fluid' : '';
	$html  = '<div class="row'.$style.'">'.trim($content).'</div>';

	return do_shortcode($html);
}

/**
 * bootstrap_shortcode_well 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_well( $atts, $content = null ) {
	if ( $content == null )
		return $content;

	$html  = '<div class="well">'.trim($content).'</div>';

	return do_shortcode($html);
}

/**
 * bootstrap_shortcode_span 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_span( $atts, $content = null ) {
	if ( $content == null )
		return $content;

	extract(shortcode_atts(array(
		'columns'      => 12 
	), $atts));
	$columns = (int) $columns;
	$columns = $columns >= 1 && $columns <= 12 ? $columns : 12;


	$html  = '<div class="span'.$columns.'">'.trim($content).'</div>';

	return do_shortcode($html);
}

/**
 * bootstrap_shortcode_contact 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_contact( $atts, $content = null ) {
	static $instance = 0;
	$instance++;

    extract(shortcode_atts(array(
        'name'		=> 'Your Name',
        'email'		=> 'Your Email',
        'subject'	=> 'Subject',
        'message'	=> 'Message',
        'inputclass' => 'span6',
        'textclass' => 'span6'
    ), $atts));

    $name = trim($name);
    $email = trim($email);
    $subject = trim($subject);
    $message = trim($message);
    $inputclass = trim($inputclass);
    $textclass = trim($textclass);
    $form = '';

        $form .= '<div id="email-wrapper" class="margin-bottom">';
            $form .= '<div class="controls">';
                $form .= '<label for="webpm-name">'.esc_html($name).'</label>';
                $form .= '<input id="webpm-name" type="text" name="name" class="'.esc_attr($inputclass).'" />';
            $form .= '</div>';
            $form .= '<div class="controls">';
                $form .= '<label for="webpm-email">'.esc_html($email).'</label>';
                $form .= '<input id="webpm-email" type="text" name="email" class="'.esc_attr($inputclass).'" />';
            $form .= '</div>';
            $form .= '<div class="controls">';
                $form .= '<label for="webpm-subject">'.esc_html($subject).'</label>';
                $form .= '<input id="webpm-subject" type="text" name="subject" class="'.esc_attr($inputclass).'" />';
            $form .= '</div>';
            $form .= '<div class="controls">';
                $form .= '<label for="webpm-message">'.esc_html($message).'</label>';
                $form .= '<textarea class="'.esc_attr($textclass).'" id="webpm-message" name="message" rows="7"></textarea>';
            $form .= '</div>';
            $form .= '<div class="controls">';
                $form .= '<button id="webpm-submit" type="submit" class="btn">Submit</button>';
            $form .= '</div>';
        $form .= '</div>';

	return do_shortcode($form);
}

/**
 * bootstrap_shortcode_button 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_button( $atts, $content = null ) {
	static $instance = 0;
	$instance++;

	if ( $content == null )
		return $content;

	extract(shortcode_atts(array(
		'href'		=> '',
		'class'		=> '',
		'target'      => ''
	), $atts));
	$href = esc_url( trim( $href ) );
	if ( empty( $href ) )
		return null;
	$target = trim( $target );
	if ( !empty( $target ) )
		$target = ' target="'.esc_attr( $target ).'"';
	if ( !empty( $class ) )
		$class = ' '.esc_attr( $class );


	$html  = '<a href="'.$href.'" class="btn'.$class.'" id="button-'.$instance.'">'.trim($content).'</a>';

	return do_shortcode($html);
}
 
/**
 * bootstrap_shortcode_tabs 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_tabs( $atts, $content = null ) {
	global $post;
	static $instance = 0;
	$instance++;

	if ( $content == null )
		return $content;

	extract(shortcode_atts(array(
		'style'		=> 'default',
		'tag'      => 'h2',
	), $atts));
	$style = trim($style);

	$html  = '<div class="tabs" id="tabs-'.$instance.'">';
	$html .=	webpm_helper_tabs( $content, $instance, $tag, $style );
	$html .= '</div>';

	return do_shortcode($html);
}

/**
 * webpm_helper_tabs 
 * 
 * @param mixed $content 
 * @param mixed $id 
 * @param mixed $tag 
 * @param mixed $style 
 * @access public
 * @return void
 */
function webpm_helper_tabs( $content, $id, $tag, $style ) {
	$html = $menu = $text = '';

	$groups = explode( "<$tag>", $content );
	$first = true;

	if ( $style == 'bold' )
		$el = 'strong';
	else if ( $style == 'heading' )
		$el = $tag;
	else $el = false;

	foreach ( $groups as $key => $group ) {
		$group = trim( $group );
		if ( empty( $group ) )
			continue;

		$parts = explode( "</$tag>", $group, 2 );

		$class = $first ? ' active in' : '';
		$first = false;
		if ( array_key_exists( 0, $parts ) ) {
			$anchor = sanitize_title( $parts[0] );
			$menu .= '<li class="'.trim($class).'">';
			$menu .=	'<a data-toggle="tab" href="#'.$anchor.'">';
			if ( $el )
			$menu .=		'<'.$el.'>';
			$menu .=			$parts[0];
			if ( $el )
			$menu .=		'</'.$el.'>';
			$menu .=	'</a>';
			$menu .= '</li>';
		}
		if ( array_key_exists( 1, $parts ) ) {
			$text .= '<div id="'.$anchor.'" class="tab-pane fade'.$class.'">';
			$text .=	$parts[1];
			$text .= '</div>';
		}
	}
	$html .= '<ul class="nav nav-tabs">';
	$html .=	$menu;
	$html .= '</ul>';
	$html .= '<div class="tab-content">';
	$html .=	$text;
	$html .= '</div>';

	return $html;
}

/**
 * bootstrap_shortcode_accordion 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_accordion( $atts, $content = null ) {
	global $post;
	static $instance = 0;
	$instance++;

	if ( $content == null )
		return $content;

	extract(shortcode_atts(array(
		'style'		=> 'default',
		'tag'		=> 'h2',
	), $atts));
	$style = trim($style);

	$html  = '<div class="accordion" id="accordion-'.$instance.'">';
	$html .=	webpm_helper_accordionize( $content, $instance, $tag, $style );
	$html .= '</div>';

	return do_shortcode($html);
}

/**
 * webpm_helper_accordionize 
 * 
 * @param mixed $content 
 * @param mixed $id 
 * @param mixed $tag 
 * @param mixed $style 
 * @access public
 * @return void
 */
function webpm_helper_accordionize( $content, $id, $tag, $style ) {
	$html = '';

	if ( $style == 'bold' )
		$el = 'strong';
	else if ( $style == 'heading' )
		$el = $tag;
	else $el = false;

	$groups = explode( "<$tag>", $content );
	foreach ( $groups as $key => $group ) {
		$group = trim( $group );
		if ( empty( $group ) )
			continue;

		$parts = explode( "</$tag>", $group, 2 );

		// Wordpress will autop any spaces and tabs
		$html .= '<div class="accordion-group">';
		if ( array_key_exists( 0, $parts ) ) {
			$html .= '<div class="accordion-heading">';
			if ( $el )
			$html .=	'<'.$el.'>';
			$html .=		'<a id="toggle-collapse-'.$id.'-'.$key.'" class="accordion-toggle" data-toggle="collapse" data-parent="#accordion-'.$id.'" href="#collapse-'.$id.'-'.$key.'">';
			$html .=			$parts[0];
			$html .=		'</a>';
			if ( $el )
			$html .=	'</'.$el.'>';
			$html .= '</div>';
		}
		if ( array_key_exists( 1, $parts ) ) {
			$html .= '<div id="collapse-'.$id.'-'.$key.'" class="accordion-body collapse">';
			$html .=	'<div class="accordion-inner">';
			$html .=		'<p>'.trim( $parts[1] ).'</p>';
			$html .=	'</div>';
			$html .= '</div>';
		}
		$html .= '</div>';
	}

	return $html;
}

/**
 * bootstrap_shortcode_social_icons 
 * 
 * @param mixed $atts 
 * @param mixed $content 
 * @access public
 * @return void
 */
function bootstrap_shortcode_social_icons( $atts, $content = null ) {
    $html = '';

	$html  .= '<div class="row-fluid">';
        $html  .= '<div class="social-icons-wrapper span12">';
            $html .= webpm_shortcode_social_media_icons( array() );
        $html  .= '</div>';
	$html  .= '</div>';

	return $html;
}
 
/**
 * webpm_shortcode_social_media_icons 
 * 
 * @param mixed $atts 
 * @access public
 * @return void
 */
function webpm_shortcode_social_media_icons( $atts ) {
    $social = array(
        'facebook',
        'google_plus',
        'twitter',
        'pinterest',
        'instagram',
        'bloglovin',
        'flickr',
        'rss',
        'email',
        'custom1',
        'custom2',
        'custom3',
        'custom4',
        'custom5'
    );

    $html = '';
    $i = 0;

    $html .= '<ul class="thumbnails social-icons">';
        foreach ($social as $name) {
            if ( ( $social_url = of_get_option( $name.'_url' ) ) && ( $icon_url = of_get_option( $name.'_icon' ) ) ) {
                if ($i == 0)
                    $html .= '<li class="social-icon first-icon">';
                else
                    $html .= '<li class="social-icon">';

                $social_url = apply_filters( 'webpm_social_url', $name, $social_url );
                    $html .='<a href="'.$social_url.'" class="thumbnail">';
                        $html .= '<img src="'.$icon_url.'">';
                    $html .= '</a>';
                $html .= '</li>';
            }
            $i++;
        }
    $html .= '</ul>';

	return $html;
}
?>
