/**
 * WebPM Gallery Settings
 */
(function($) {
	var media = wp.media, custom_uploader;

	// Wrap the render() function to append controls.
	media.view.Settings.Gallery = media.view.Settings.Gallery.extend({
		render: function() {
			var $el = this.$el;

			media.view.Settings.prototype.render.apply( this, arguments );

			// Append the layout template and update the settings.
			$el.append( media.template( 'webpm-gallery-settings' ) );
			media.gallery.defaults.layout = 'default'; // lil hack that lets media know there's a layout attribute.
			media.gallery.defaults.custom_links = false; // lil hack that lets media know there's a layout attribute.
			media.gallery.defaults.show_captions = false; // lil hack that lets media know there's a layout attribute.
			this.update.apply( this, ['layout'] );
			this.update.apply( this, ['custom_links'] );
			this.update.apply( this, ['show_captions'] );

			return this;
		}
	});

    /*
    media.view.Attachment.Details = media.view.Attachment.Details.extend({
        render: function() {
            return;
        }
    });

	media.view.AttachmentCompat = media.view.AttachmentCompat.extend({
		render: function() {
            return;
        }
    });
    media.view.Settings.AttachmentDisplay = media.view.Settings.AttachmentDisplay.extend({
        render: function() {
            var attachment = this.options.attachment;
            if ( attachment ) {
                _.extend( this.options, {
                    sizes: attachment.get('sizes'),
                });
            }

            media.view.Settings.prototype.render.call( this );
            this.updateLinkTo();
            return this;
        }
    });*/
	media.controller.Library = media.controller.Library.extend({
		resetDisplays: function() {
			var defaultProps = media.view.settings.defaultProps;
			this._displays = [];
			this._defaultDisplaySettings = {
				align: defaultProps.align || getUserSetting( 'align', 'none' ),
				size:  defaultProps.size  || getUserSetting( 'imgsize', 'medium' ),
				link:  defaultProps.link  || getUserSetting( 'urlbutton', 'file' )
			};
            this._defaultDisplaySettings.size = webpmFixImgsize(this._defaultDisplaySettings.size);
		}
    });

    function webpmFixImgsize(imgsize) {
        switch(imgsize) {
            case 'bootstrapthumbnail':
                imgsize = 'bootstrap-thumbnail';
                break;
            case 'bootstraplarge':
                imgsize = 'bootstrap-large';
                break;
            case 'bootstrapimage-link':
                imgsize = 'bootstrap-image-link';
                break;
        }

        return imgsize;
    }

    function webpmUploadImage(e) {
 
        e.preventDefault();

        var $this = $(this);
 
        //If the uploader object has already been created, reopen the dialog
        /*if (custom_uploader) {
            custom_uploader.open();
            return;
        }*/
 
        //Extend the wp.media object
        custom_uploader = media.frames.custom_uploader = media({
            className: 'media-frame webpm-custom-uploader',
            title: 'Choose Image',
            button: {
                text: 'Choose Image'
            },
            multiple: false,
            states: [ new media.controller.Library({
                displaySettings: true,
                displayUserSettings:true
            }) ]
        });
        //When a file is selected, grab the URL and set it as the text field's value
        custom_uploader.on('select', function() {
            var imgsize = getUserSetting( 'imgsize' );
            if (typeof imgsize == 'string') {
				var url;

                // I should no longer name images with a '-'
                imgsize = webpmFixImgsize(imgsize);

                attachment = custom_uploader.state().get('selection').first().toJSON();
                //upload button is always after the input field
				if ('object' == typeof attachment.sizes[imgsize]) {
					url = attachment.sizes[imgsize].url;
				}
				else {
					url = attachment.sizes['full'].url;
				}

                var id = $this.data().target;
                $(id).val(url);
                //preview image always has the id of the inputfield appened with _preview
                $(id+'_preview').attr('src', url).show();
            }
        });
 
        //Open the uploader dialog
        custom_uploader.open();
    }
 
    $(document).ready(function() {
        $('.webpm_upload_image').click(webpmUploadImage);

        $('.restore_default').click(function(e) {
            e.preventDefault();

            var $this = $(this);

            var id = $this.data().target;
            var restore = $this.data().restore;

            $(id).val(restore);
            $(id+'_preview').attr('src', restore).show();
        });

        $('.delete_image').click(function(e) {
            e.preventDefault();

            var $this = $(this);

            var id = $this.data().target;

            $(id).val('');
            $(id+'_preview').hide();
        });
    });

    window.webpmUploadImage = webpmUploadImage;
})(jQuery);

