/*
 * @codekit-prepend "bootstrap.modalGallery.js"
 * Bones Scripts File
 * Author: Chris Baldelomar
 * 
 * This file should contain any js scripts you want to add to the site.
 * Instead of calling it in the header or throwing it inside wp_head()
 * this file will be called automatically in the footer so as not to
 * slow the page load.
 * 
 */

// as the page loads, call these scripts
jQuery(document).ready(function($) {
	if ($().bootstrapModalGallery) {
		$('.gallery.link-file').bootstrapModalGallery({
            selector: '.thumbnail',
            baseurl: Local.baseurl,
            pinit: Local.pinitImageHover
        });
		$('p a img, .wp-caption a img').bootstrapModalGallery({
            baseurl: Local.baseurl,
            singleImage: true,
            pinit: Local.pinitImageHover
        });
	}
	if (typeof Local.carouselInterval == 'string') {
		var interval = parseInt(Local.carouselInterval, 10);
        interval = 1000 * interval;
		$('.carousel.large-display').carousel({
			interval: interval
		})
	}
	else {
		$('.carousel.large-display').carousel('pause');
	}
    $('.carousel.from-gallery').carousel('pause');

    $('.carousel').each(function() {
        var $this = $(this);
        $this.find('.carousel-inner .item img').click(function() {
            $this.carousel('next');
        });
    });

	/*$('p a[title]:not([rel*="attachment"])').attr('rel', 'tooltip').addClass('underline');
	$('p').tooltip({
		selector: "a[rel=tooltip]"
	});*/

    $('body').append('<a id="pinit-hover" target="_blank" href="" data-pin-do="buttonPin" data-pin-config="none" style="display:none;position:absolute;"><img src="//assets.pinterest.com/images/pidgets/pin_it_button.png" /></a>');


    if (Local.pinitImageHover) {
        $('.entry-content img').hover( function() {
            $this = $(this);
            if (this.height > 200 && this.width > 250) {
                pos = $this.offset();
                pos.top = Math.floor(pos.top);
                pos.left = Math.floor(pos.left);

                $('#pinit-hover')
                    .show()
                    .attr('href', 'http://pinterest.com/pin/create/button/?url='+encodeURIComponent(window.location.href)+'&media='+encodeURIComponent(this.src))
                    .css('top', pos.top+5)
                    .css('left', pos.left+5);
            }
        }, function() {
            if (!$('#pinit-hover').is(':hover')) {
                $('#pinit-hover').hide();
            }
        });
    }

    $('.pinterest-share-button').click( function(e) {
        e.preventDefault();
        var $this = $(this);
        var src = $this.data().mediaSrc;
        if (!src) {
            var $entryContent = $this.parent().parent();
            src = $entryContent.find('img:first').attr('src');
        }
        window.open( '//pinterest.com/pin/create/button/?url=' + encodeURIComponent(this.href) + '&media=' + encodeURIComponent(src) + '&description=', 'Pinterest', 'width=770,height=316' )

    });

	// make code pretty
    window.prettyPrint && prettyPrint();

	$("#webpm-submit").click(function() {
		$.post(
			Local.ajaxurl,
			{
				action : 'webpm-send-email',
				name : $("#webpm-name").val(),
				email : $("#webpm-email").val(),
				subject : $("#webpm-subject").val(),
				message : $("#webpm-message").val()
			},
			function( response ) {
				$("#email-alert").remove();
				$emailWrapper = $('#email-wrapper');
				if (response.success) {
					var msg = '<div id="email-alert" class="alert fade in alert-success">';
					msg += '<button type="button" class="close" data-dismiss="alert">×</button>';
					msg += 'Your message was successfully sent. Thank You!';
					msg += '</div>';
					$emailWrapper.find('input,textarea').val('');
				}
				else {
					var msg = '<div id="email-alert" class="alert fade in alert-error">';
					msg += '<button type="button" class="close" data-dismiss="alert">×</button>';
					msg += response.message;
					msg += '</div>';
				}
				$emailWrapper.append(msg);
			}
		);
	});
}); 
/* end of as page load scripts */

