<?php get_header(); ?>
    
    <div class="row">
    
        <?php if ( SIDEBAR_POSITION == 'left' ) : ?>

            <?php get_sidebar(); ?>

        <?php endif; ?>

        <div id="main" class="<?php echo MAIN_WIDTH; ?> bloglist" role="main">
    
            <header class="page-header">

                <h1 class="archive-title"><span>Search Results for:</span> <?php echo esc_attr(get_search_query()); ?></h1>

            </header>

            <?php if (have_posts()) : ?>
            
                <?php while (have_posts()) : the_post(); ?>
            
                    <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> role="article">
                    
                        <?php $featured_class = ' no-featured-spacing'; ?>
                        <?php if ( has_post_thumbnail() ) : ?>
                            <?php $featured_class = ' featured-spacing'; ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'post-thumbnail', array( 'class'=>'featured-image' ) ); ?></a>
                        <?php endif; ?>
                        
                        <header class="loop-header<?php echo $featured_class; ?>">

                            <div class="date-header">

                                <?php the_pub_date(); ?>

                            </div>

                            <h1 class="search-title">
                            
                                <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                            
                            </h1>
                            
                        </header>

                        <section class="entry-content<?php echo $featured_class; ?>" itemprop="articleBody">

                            <?php the_excerpt(); ?>

                        </section> <!-- end article section -->
                    
                    </article> <!-- end article -->
        
                <?php endwhile; ?>

                <?php get_template_part( 'nav', 'pagination' ); ?>

            <?php endif; ?>
    
        </div> <!-- end main -->

        <?php if ( SIDEBAR_POSITION == 'right' ) : ?>

            <?php get_sidebar(); ?>

        <?php endif; ?>

    </div> <!-- end .row -->

<?php get_footer(); ?>
