<?php
/*
 * Show a blog post
 */
?>
<?php get_header(); ?>
			
    <div class="row">
    
        <?php if ( SIDEBAR_POSITION == 'left' ) : ?>

            <?php get_sidebar(); ?>

        <?php endif; ?>

        <div id="main" class="<?php echo MAIN_WIDTH; ?>" role="main">
    
            <?php get_template_part( 'nav', 'breadcrumbs' ); ?>

            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">

                <header class="page-header">

                    <div class="date-header">

                        <?php the_pub_date(); ?>

                    </div>

                    <h1 itemprop="headline"><?php the_title(); ?></h1>

                </header> <!-- end article header -->

                <section class="entry-content" itemprop="articleBody">

                    <?php the_content(); ?>

                    <?php the_signature(); ?>

                    <?php if ( get_option( 'webpm_sharing_show_buttons', 1 ) ) : ?>

                        <?php the_share_buttons(); ?>

                    <?php endif; ?>
                    
                    <?php the_byline(); ?>

                </section> <!-- end article section -->

                <footer class="article-footer">

                    <?php the_tags('<p class="tags"><span class="tags-title">' . __('Tags:', 'webpm') . '</span> ', ', ', '</p>'); ?>

                </footer> <!-- end article footer -->

                <?php comments_template(); ?>

            </article> <!-- end article -->

            <?php endwhile; endif; ?>
    
        </div> <!-- end main -->

        <?php if ( SIDEBAR_POSITION == 'right' ) : ?>

            <?php get_sidebar(); ?>

        <?php endif; ?>

    </div> <!-- end .row -->

<?php get_footer(); ?>
